import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:story_progress/story_progress.dart';

class Home extends StatefulWidget {
  Home({Key key}) : super(key: key);

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  var _play = false;

  var _formKey = GlobalKey<StoryProgressState>();

  var imageList = [
    'assets/images3.jpeg',
    'assets/cyberpunk1.jpeg',
    'assets/cyberpunk2.jpg',
    'assets/images4.jpeg'
  ];
  var _currentIndex = 0;

  @override
  void initState() {
    super.initState();

  }

  @override
  Widget build(BuildContext context) {
    double width = MediaQuery.of(context).size.width;
    return Scaffold(
        body: SafeArea(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              StoryProgress(
                key: _formKey,
                play: _play,
                progressCount: 4,
                width: width, 
                // duration: Duration(seconds: 3),
                onStatusChanged: (value) {
                  print("onStatusChanged $value");
                  WidgetsBinding.instance.addPostFrameCallback((_) {
                      switch (value) {
                        case Status.next:
                          setState(() {
                            _currentIndex++;
                          });
                          break;
                        case Status.previous:
                          setState(() {
                            _currentIndex--;
                          });
                          break;
                        case Status.completed:
                          ScaffoldMessenger.of(context).showSnackBar(SnackBar(
                            content: Text('Stories completed'),
                            duration: Duration(seconds: 1),
                          ));
                          break;
                      }
                  });
                },
              ),
              Spacer(),
              Image.asset(
                imageList[_currentIndex],
                width: 300,
                height: 200,
              ),
              IconButton(icon: Icon(Icons.skip_next), onPressed: (){
                _formKey.currentState.skip();
              }),
              IconButton(icon: Icon(Icons.skip_previous), onPressed: (){
                _formKey.currentState.previous();
              }),
              Spacer(),
            ],
          ),
        ),
        floatingActionButton: FloatingActionButton(
          child: Icon(_play ? Icons.pause : Icons.play_arrow),
          backgroundColor: Colors.deepPurpleAccent,
          onPressed: () {
            setState(() {
              _play = !_play;
            });
          },
        ));
  }
}

